<div class="content" xmlns="">
  <h1 style="margin-bottom: 30px">Manage Files</h1>
  <button type="button" class="btn btn-default" data-toggle="modal" data-target="#fileModal"><i class="fa fa-plus"></i>
    Add File
  </button>

  <table class="table table-hover table-striped">
    <thead>
    <tr>
      <th>Name</th>
      <th>Last Modified</th>
      <th>Action</th>
    </tr>
    </thead>
    <tbody>
    <tr *ngFor="let file of sourceFiles; let i = index">
      <td>
        <p [(ngModel)]="file.identifier" ngDefaultControl>{{file.identifier}}</p>
      </td>
      <td>
        <p [(ngModel)]="file.lastModifiedDate" ngDefaultControl>{{file.lastModifiedDate | date: 'dd/MM/yyyy hh:mm'}}</p>
      </td>
      <td>
        <button type="button" class="btn btn-default" (click)="btnDeleteFile(i)" data-toggle="tooltip"
                title="Delete File"><i class="fa fa-trash-o"></i></button>
      </td>
    </tr>
    </tbody>
  </table>
  <button type="button" class="btn btn-default" (click)="btnOkClick()">OK</button>
</div>

<div class="modal fade" id="fileModal" tabindex="-1" role="dialog" aria-labelledby="fileModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header row">
        <h5 class="modal-title col-sm-11" id="exampleModalLabel">Add a file</h5>
        <button type="button" id="btnCloseModal" class="close col-sm-1" (click)="closeModalAndReset(fileForm)"
                data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <form #fileForm="ngForm" class="form-horizontal" (ngSubmit)="onSubmit(fileForm)">
        <div class="modal-body">
          <div class="form-group" style="margin-bottom: 15px">
            <label class="control-label col-sm-3">File:</label>
            <div class="col-sm-9">
              <input type="file" name="file-upload" id="file-upload" class="inputfile"
                     required (change)="onFileChange($event)"/>
              <label id="lbl-file-upload" for="file-upload" class="btn btn-default cursor form-control">Select
                File</label>
            </div>
          </div>
          <div class="form-group">
            <label for="identifier" class="control-label col-sm-3">Identifier:</label>
            <div class="col-sm-9">
              <input type="text" id="identifier" name="identifier" class="form-control" required ngModel>
            </div>
          </div>
          <div *ngIf="inputError" class="form-group">
            <div class="form-error col-sm-9 col-sm-offset-3" id="login-error">You have to select a
              file.
            </div>
          </div>
          <div *ngIf="idExists" class="form-group">
            <div class="form-error col-sm-9 col-sm-offset-3" id="id-exists-error">This identifier
              already exists. Please choose another one.
            </div>
          </div>
          <div *ngIf="languageError" class="form-group">
            <div class="form-error col-sm-9 col-sm-offset-3" id="id-language-error">The selected
              programming language is not supported by the server.
            </div>
          </div>
          <div *ngIf="unknownError" class="form-group">
            <div class="form-error col-sm-9 col-sm-offset-3" id="id-unknown-error">An unkown error
              occured.
            </div>
          </div>
        </div>
        <!--</div>-->
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" (click)="closeModalAndReset(fileForm)">Close</button>
          <input type="submit" [disabled]="fileForm.invalid" class="btn btn-primary" name="Save changes"/>
        </div>
      </form>
    </div>
  </div>
</div>

